<?php
namespace Incoviba\old\Venta;

use Incoviba\Common\Alias\OldModel as Model;

use Carbon\Carbon;

/**
 *
 * @property int id
 * @property int pago
 * @property date fecha
 * @property int estado
 *
 */
class EstadoPago extends Model
{	 
	 public function tipo()
	 {
	 	return $this->belongs_to(TipoEstadoPago::class, 'estado')->findOne();
	 }
	 public function fecha()
	 {
	 	return Carbon::parse($this->fecha, config('app.timezone'));
	 }
}
?>
